[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONData.AsString

Access the raw JSON value as a string

## Declaration

Source position: fpjson.pp line 105

`public property TJSONData.AsString : TJSONStringType read GetAsString write SetAsString;`

## Description

AsString allows access to the raw value as a string. When reading, it converts the native value of the data to a string. When writing, it attempts to transform the string to a native value. If this conversion fails, an EConvertError exception is raised.

For TJSONString this will return the native value.

For complex values, reading or writing this property will result in an EConvertError exception.

## See also

AsInteger
Value
AsInt64
AsFloat
AsBoolean
IsNull
AsJSON

Documentation generated on: Feb 26 2014